about summary refs log tree commit homepage
path: root/t/test-lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index e5b0bc8..d278329 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 # Copyright (c) 2009 Rainbows! developers
+
+set -o pipefail >/dev/null 2>&1 || : # non-POSIX, but useful in ksh/bash
 set -e
 set -u
 T=$(basename $0)